#ifndef __OPENCVALGORITHM_H__
#define __OPENCVALGORITHM_H__

#include <array>
#include <cstdint>

class OpenCVAlgorithmPrivate;

class OpenCVAlgorithm {
public:
    static constexpr int DetectImageWidth = 576;
    static constexpr int DetectImageHeight = 320;
    OpenCVAlgorithm();
    void detect(const uint8_t *imageData, int width, int height);
    ~OpenCVAlgorithm();

private:
    OpenCVAlgorithmPrivate *m_d = nullptr;
};

#endif // __OPENCVALGORITHM_H__